Bug 118739 - Inconsistent default paper sizes in troff and grops
Inconsistent default paper sizes in troff and grops
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: groff (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-19 13:05 EST by Robert Nichols
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-31 07:06:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Nichols 2004-03-19 13:05:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
In my installation in the USA, "troff -Tps" generates DVI output
formatted for "letter" paper size, but
/usr/share/groff/1.18.1/font/devps/DESC has a default paper size of
"a4".  The result is that the PostScript output from 'groff' is
shifted upward about 0.6" on the paper, causing header lines to
disappear.  Viewing the intermediate output with 'xditview' shows that
the missing lines are indeed present.  The fault can be seen most
easily with "man -t", but is by no means unique to manpages.

Version-Release number of selected component (if applicable):
groff-1.18.1-29

How reproducible:
Always

Steps to Reproduce:
1. Run "man -t ls | ggv -"
   

Actual Results:  The header line:
   LS(1)                       FSF                       LS(1)
will not be shown, and there is excess margin at the bottom of the page.

Additional info:

The very simple fix is to execute:
            echo "letter" >/etc/papersize
to change the paper size for 'grops', after which all is well.  The
installation should have made the paper size default consistent for
all parts of the pipeline run by 'groff'.
Comment 1 Matthew Miller 2006-07-11 13:41:49 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 2 Marcela Mašláňová 2006-07-12 02:05:02 EDT
Problem is still here. Opened in fc5.
Comment 3 Marcela Mašláňová 2007-07-31 07:06:35 EDT
The default setting of paper size is A4, it'll be divergence from the upstream
project.

Note You need to log in before you can comment on or make changes to this bug.